select metadata_defn, '-' ,
 round(decimal(max(ORDER_SEQUENCE))/3,0), '-',
 max(ORDER_SEQUENCE) total, '-',
 avg(total_entries) avg
from metadata_statistics
where rundate = '2007-09-21-15.29.17.000000'
group by METADATA_DEFN
with ur
;
